Table of Contents

## Name

XtClass, XtSuperclass, XtIsSubclass, XtCheckSubclass, XtIsObject, XtIsRectObj, XtIsWidget, XtIsComposite, XtIsConstraint, XtIsShell, XtIsOverrideShell, XtIsWMShell, XtIsVendorShell, XtIsTransientShell, XtIsTopLevelShell, XtIsApplicationShell, XtIsSessionShell - obtain and verify a widget's class

## Syntax

WidgetClass XtClass(w)
Widget w;

WidgetClass XtSuperclass(w)
Widget w;

Boolean XtIsSubclass(w, widget_class)
Widget w;
WidgetClass widget_class;

void XtCheckSubclass(widget, widget_class, message)
Widget widget;
WidgetClass widget_class;
String message;

Boolean XtIsObject(w)
Widget w;

Boolean XtIsRectObj(w)
Widget w;

Boolean XtIsWidget(w)
Widget w;

Boolean XtIsComposite(w)
Widget w;

Boolean XtIsConstraint(w)
Widget w;

Boolean XtIsShell(w)
Widget w;

Boolean XtIsOverrideShell(w)
Widget w;

Boolean XtIsWMShell(w)
Widget w;

Boolean XtIsVendorShell(w)
Widget w;

Boolean XtIsTransientShell(w)
Widget w;

Boolean XtIsTopLevelShell(w)
Widget w;

Boolean XtIsApplicationShell(w)
Widget w;

Boolean XtIsSessionShell(w)
Widget w;

## Arguments

w
  Specifies the widget.
widget_class
  Specifies the widget classWc.
message
  Specifies the message that is to be used.

## Description

The XtClass function returns a pointer to the widget's class structure.

The XtSuperclass function returns a pointer to the widget's superclass class structure.

The XtIsSubclass function returns True if the class of the specified widget is equal to or is a subclass of the specified class. The widget's class can be any number of subclasses down the chain and need not be an immediate subclass of the specified class. Composite widgets that need to restrict the class of the items they contain can use XtIsSubclass to find out if a widget belongs to the desired class of objects.

The XtCheckSubclass macro determines if the class of the specified widget is equal to or is a subclass of the specified widget class. The widget can be any number of subclasses down the chain and need not be an immediate subclass of the specified widget class. If the specified widget is not a subclass, XtCheckSubclass constructs an error message from the supplied message, the widget's actual class, and the expected class and calls XtErrorMsg. XtCheckSubclass should be used at the entry point of exported routines to ensure that the client has passed in a valid widget class for the exported operation.

XtCheckSubclass is only executed when the widget has been compiled with the compiler symbol DEBUG defined; otherwise, it is defined as the empty string and generates no code.

To test if a given widget belongs to a subclass of an Intrinsics-defined class, the Intrinsics defines macros or functions equivalent to XtIsSubclass for each of the built-in classes. These procedures are XtIsObject, XtIsRectObj, XtIsWidget, XtIsComposite, XtIsConstraint, XtIsShell, XtIsOverrideShell, XtIsWMShell, XtIsVendorShell, XtIsTransientShell, XtIsTopLevelShell, XtIsApplicationShell, and ZN XtIsSessionShell .

The

## See Also

XtAppErrorMsg(3Xt) , XtDisplay(3Xt)
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- See Also